<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_ID" version="3.0"
 xmlns="http://java.sun.com/xml/ns/javaee"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd">
 <description>Portal</description>
 <display-name>portal-web</display-name>
 <!-- Project Stage Level -->
 <context-param>
  <param-name>javax.faces.PROJECT_STAGE</param-name>
  <param-value>Production</param-value>
 </context-param>
 <context-param>
  <param-name>primefaces.THEME</param-name>
  <param-value>comaco-theme</param-value>
 </context-param>
 <context-param>
 	<param-name>primefaces.PRIVATE_CAPTCHA_KEY</param-name>
 	<param-value>6Lf-swATAAAAAOdJNdvFDEzQGRZBwGnZ_5q7qdI_</param-value>
 </context-param>
 <context-param>
 	<param-name>primefaces.PUBLIC_CAPTCHA_KEY</param-name>
 	<param-value>6Lf-swATAAAAAMT7_E5dQkjk8dmdblQVp4bBxUnW</param-value>
 </context-param>
 <context-param>
    <param-name>javax.faces.FACELETS_SKIP_COMMENTS</param-name>
    <param-value>true</param-value>
 </context-param>

 <filter>
  <filter-name>PrimeFaces FileUpload Filter</filter-name>
  <filter-class>org.primefaces.webapp.filter.FileUploadFilter</filter-class>
 </filter>
 <filter-mapping>
  <filter-name>PrimeFaces FileUpload Filter</filter-name>
  <servlet-name>Faces Servlet</servlet-name>
 </filter-mapping>
 <servlet>
  <servlet-name>Faces Servlet</servlet-name>
  <servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
  <load-on-startup>1</load-on-startup>
 </servlet>
 <servlet-mapping>
  <servlet-name>Faces Servlet</servlet-name>
  <url-pattern>*.xhtml</url-pattern>
 </servlet-mapping>
 <servlet-mapping>
  <servlet-name>Faces Servlet</servlet-name>
  <url-pattern>*.faces</url-pattern>
 </servlet-mapping>
 <welcome-file-list>
  <welcome-file>index.jsp</welcome-file>
 </welcome-file-list>
 <error-page>
 	<error-code>500</error-code>
 	<location>/pages/error/500.xhtml</location>
 </error-page>
 <session-config>
 	<session-timeout>30</session-timeout>
 </session-config>
</web-app>
